package com.ruoyi.web.plotmanage.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 广告位管理对象 ad_management
 * 
 * @author cyx
 * @date 2022-11-24
 */
public class AdManagement extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 所属小区 */
    @Excel(name = "所属小区")
    private String plotid;

    /** 所属楼宇 */
    @Excel(name = "所属楼宇")
    private String flatid;

    /** 所在楼层 */
    @Excel(name = "所在楼层")
    private String floor;

    /** 面积 */
    @Excel(name = "面积")
    private String area;

    /** 租赁状态 */
    @Excel(name = "租赁状态")
    private String status;

    /** 租金 */
    @Excel(name = "租金")
    private String rent;

    /** 租金类型 */
    @Excel(name = "租金类型")
    private String renttype;

    /** 上架时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "上架时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date addtime;

    /** 是否上架 */
    @Excel(name = "是否上架")
    private String isadd;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setPlotid(String plotid) 
    {
        this.plotid = plotid;
    }

    public String getPlotid() 
    {
        return plotid;
    }
    public void setFlatid(String flatid) 
    {
        this.flatid = flatid;
    }

    public String getFlatid() 
    {
        return flatid;
    }
    public void setFloor(String floor) 
    {
        this.floor = floor;
    }

    public String getFloor() 
    {
        return floor;
    }
    public void setArea(String area) 
    {
        this.area = area;
    }

    public String getArea() 
    {
        return area;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }
    public void setRent(String rent) 
    {
        this.rent = rent;
    }

    public String getRent() 
    {
        return rent;
    }
    public void setRenttype(String renttype) 
    {
        this.renttype = renttype;
    }

    public String getRenttype() 
    {
        return renttype;
    }
    public void setAddtime(Date addtime) 
    {
        this.addtime = addtime;
    }

    public Date getAddtime() 
    {
        return addtime;
    }
    public void setIsadd(String isadd) 
    {
        this.isadd = isadd;
    }

    public String getIsadd() 
    {
        return isadd;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("plotid", getPlotid())
            .append("flatid", getFlatid())
            .append("floor", getFloor())
            .append("area", getArea())
            .append("status", getStatus())
            .append("rent", getRent())
            .append("renttype", getRenttype())
            .append("addtime", getAddtime())
            .append("isadd", getIsadd())
            .toString();
    }
}
